%define ver	4.6.0
%define rel	3
%define prefix	/usr
%define texmf	%{prefix}/share/texmf

Summary: The Macro package CJK for teTeX
Name:	 CJK
Version: %ver
Release: %rel
License: distributable
Group: 	 Applications/Publishing
# Should use .tar.gz when downloading
Source:  http://cjk.ffii.org/cjk-4.6.0.tar.bz2
Source1: http://cjk.ffii.org/cjk-4.6.0-doc.tar.bz2
Source2: sample.tex
Source3: GB.cpx-aloft
Patch:   c19song.fd-patch
#BuildPrereq: 
#Conflicts:
Provides: CJK tex-cjkutils texlive-cjkutils tex(b5ka12.cfg) tex(b5kr12.cfg) tex(b5so12.cfg) tex(c1so12.cfg) tex(c2so12.cfg) tex(c3so12.cfg) tex(c4so12.cfg) tex(c5so12.cfg) tex(c6so12.cfg) tex(c7so12.cfg) tex(csso12.cfg) tex(gsfs14.cfg) tex(j2so12.cfg) tex(jsso12.cfg) tex(ksso17.cfg)
Requires: tetex, tetex-latex, tetex-dvips
BuildRequires: findutils
BuildRoot: %{_tmppath}/%{name}-root
URL: http://cjk.ffii.org/
Packager: Zhang Linbo <zlb@lsec.cc.ac.cn>

%description
CJK is a LaTeX2e macro package which enables the use of CJK scripts
(Chinese/Japanese/Korean) in various encodings, written by
Werner Lemberg <wl@gnu.org>.

%package doc
Version: %{version}
Summary: Preformatted CJK documentation files
Group: Applications/Publishing
URL: http://cjk.ffii.org/

%description doc
Preformatted CJK documentation files: DVI, PS, output from cjk-enc.el, etc.

%prep
%setup -q -n cjk-%{ver}
%setup -q -n cjk-%{ver} -b 1
cp $RPM_SOURCE_DIR/sample.tex .
cp $RPM_SOURCE_DIR/GB.cpx-aloft GB.cpx
%patch -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{texmf}/tex/latex \
	 $RPM_BUILD_ROOT%{prefix}/share/doc/CJK-%{ver} \
	 $RPM_BUILD_ROOT%{prefix}/share/man/man1 \
	 $RPM_BUILD_ROOT%{prefix}/bin

cp -a texinput $RPM_BUILD_ROOT%{texmf}/tex/latex/CJK
cp -a sample.tex $RPM_BUILD_ROOT%{prefix}/share/doc/CJK-%{ver}/.
cp -af GB.cpx $RPM_BUILD_ROOT%{texmf}/tex/latex/CJK/GB/GB.cpx
cp -a README ChangeLog $RPM_BUILD_ROOT%{prefix}/share/doc/CJK-%{ver}/.
cp -a doc examples $RPM_BUILD_ROOT%{prefix}/share/doc/CJK-%{ver}/.

# Compile and install *conv programs
for c in `find utils -name '*conv.c' -print`
do
    f=${c##*/}
    d=${c%$f}
    f=${f%\.c}
    (
	cd $d
	if CFLAGS=-O2 make $f; then
	    cp -a $f $RPM_BUILD_ROOT%{prefix}/bin/.
	    gzip -9 <${f}.1 >$RPM_BUILD_ROOT%{prefix}/share/man/man1/${f}.1.gz
	fi
    )
done

# rename *conv (conflicts with TeXLive)
for f in extconv bg5conv cef5conv cefconv cefsconv sjisconv; do
    mv $RPM_BUILD_ROOT%{prefix}/bin/$f $RPM_BUILD_ROOT%{prefix}/bin/${f}.CJK
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%config %{texmf}/tex/latex/CJK/GB/c19song.fd
%config %{texmf}/tex/latex/CJK/*/*.fd
%{texmf}/tex/*
%{prefix}/share/man/*
%{prefix}/bin/*

%files doc
%{prefix}/share/doc/*

%pre

%post
texhash

%preun

%postun
texhash

%changelog
* Sat Apr 05 2014 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- 4.6.0-3: fix font name in c19song.fd.
* Sat Jan 04 2003 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Created the package.
